Package org.apache.log4j.chainsaw.icons

## Class ChainsawIcons

- java.lang.Object
- - org.apache.log4j.chainsaw.icons.ChainsawIcons

-     public class ChainsawIcons
      extends Object

  Author:
    Paul Smith <psmith@apache.org>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static URL` | `ABOUT` |
    `static URL` | `ANIM_NET_CONNECT` |
    `static URL` | `ANIM_RADIO_TOWER` |
    `static URL` | `COPY` |
    `static URL` | `CUT` |
    `static URL` | `DEBUG` |
    `static URL` | `DELETE` |
    `static URL` | `DOCK` |
    `static URL` | `DOWN` |
    `static URL` | `FILE_OPEN` |
    `static URL` | `FILE_SAVE_AS` |
    `static URL` | `FIND` |
    `static ImageIcon` | `FOCUS_ON_ICON` |
    `static URL` | `HELP` |
    `static URL` | `ICON_ACTIVE_RECEIVER` |
    `static URL` | `ICON_BACK` |
    `static URL` | `ICON_COLLAPSE` |
    `static Icon` | `ICON_COPY` |
    `static Icon` | `ICON_CUT` |
    `static Icon` | `ICON_DEBUG` |
    `static Icon` | `ICON_DOCK` |
    `static Icon` | `ICON_DOWN` |
    `static URL` | `ICON_EDIT_RECEIVER` |
    `static Icon` | `ICON_HELP` |
    `static URL` | `ICON_HOME` |
    `static URL` | `ICON_INACTIVE_RECEIVER` |
    `static ImageIcon` | `ICON_LOG4J` |
    `static URL` | `ICON_NEW_RECEIVER` |
    `static Icon` | `ICON_PREFERENCES` |
    `static URL` | `ICON_RESTART` |
    `static URL` | `ICON_RESTART_ALL` |
    `static URL` | `ICON_RESUME_RECEIVER` |
    `static ImageIcon` | `ICON_SERVER` |
    `static URL` | `ICON_STOP_RECEIVER` |
    `static Icon` | `ICON_UNDOCK` |
    `static Icon` | `ICON_UP` |
    `static ImageIcon` | `IGNORE_ICON` |
    `static URL` | `INFO` |
    `static URL` | `PAUSE` |
    `static URL` | `PREFERENCES` |
    `static URL` | `REFRESH` |
    `static URL` | `SCROLL_TO_BOTTOM` |
    `static URL` | `SERVER` |
    `static URL` | `TOOL_TIP` |
    `static URL` | `UNDOCK` |
    `static URL` | `UNDOCKED_ICON` |
    `static URL` | `UP` |
    `static URL` | `WINDOW_ICON` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILE_OPEN

          public static final URL FILE_OPEN

    - #### UP

          public static final URL UP

    - #### DOWN

          public static final URL DOWN

    - #### FILE_SAVE_AS

          public static final URL FILE_SAVE_AS

    - #### PAUSE

          public static final URL PAUSE

    - #### REFRESH

          public static final URL REFRESH

    - #### DELETE

          public static final URL DELETE

    - #### INFO

          public static final URL INFO

    - #### FIND

          public static final URL FIND

    - #### ABOUT

          public static final URL ABOUT

    - #### SCROLL_TO_BOTTOM

          public static final URL SCROLL_TO_BOTTOM

    - #### TOOL_TIP

          public static final URL TOOL_TIP

    - #### UNDOCK

          public static final URL UNDOCK

    - #### DOCK

          public static final URL DOCK

    - #### PREFERENCES

          public static final URL PREFERENCES

    - #### DEBUG

          public static final URL DEBUG

    - #### HELP

          public static final URL HELP

    - #### ICON_UP

          public static final Icon ICON_UP

    - #### ICON_DOWN

          public static final Icon ICON_DOWN

    - #### ICON_HELP

          public static final Icon ICON_HELP

    - #### ICON_PREFERENCES

          public static final Icon ICON_PREFERENCES

    - #### ICON_DOCK

          public static final Icon ICON_DOCK

    - #### COPY

          public static final URL COPY

    - #### CUT

          public static final URL CUT

    - #### ICON_COPY

          public static final Icon ICON_COPY

    - #### ICON_CUT

          public static final Icon ICON_CUT

    - #### ICON_UNDOCK

          public static final Icon ICON_UNDOCK

    - #### ICON_DEBUG

          public static final Icon ICON_DEBUG

    - #### WINDOW_ICON

          public static final URL WINDOW_ICON

    - #### UNDOCKED_ICON

          public static final URL UNDOCKED_ICON

    - #### ICON_LOG4J

          public static final ImageIcon ICON_LOG4J

    - #### ANIM_NET_CONNECT

          public static final URL ANIM_NET_CONNECT

    - #### ANIM_RADIO_TOWER

          public static final URL ANIM_RADIO_TOWER

    - #### ICON_ACTIVE_RECEIVER

          public static final URL ICON_ACTIVE_RECEIVER

    - #### ICON_HOME

          public static final URL ICON_HOME

    - #### ICON_BACK

          public static final URL ICON_BACK

    - #### ICON_RESTART

          public static final URL ICON_RESTART

    - #### ICON_RESTART_ALL

          public static final URL ICON_RESTART_ALL

    - #### ICON_STOP_RECEIVER

          public static final URL ICON_STOP_RECEIVER

    - #### ICON_NEW_RECEIVER

          public static final URL ICON_NEW_RECEIVER

    - #### ICON_EDIT_RECEIVER

          public static final URL ICON_EDIT_RECEIVER

    - #### ICON_RESUME_RECEIVER

          public static final URL ICON_RESUME_RECEIVER

    - #### ICON_INACTIVE_RECEIVER

          public static final URL ICON_INACTIVE_RECEIVER

    - #### ICON_COLLAPSE

          public static final URL ICON_COLLAPSE

    - #### FOCUS_ON_ICON

          public static final ImageIcon FOCUS_ON_ICON

    - #### IGNORE_ICON

          public static final ImageIcon IGNORE_ICON

    - #### SERVER

          public static final URL SERVER

    - #### ICON_SERVER

          public static final ImageIcon ICON_SERVER